# Class ApiToolCommand

java.lang.Object
org.a11y.brlapi.Component
org.a11y.brlapi.ProgramComponent
org.a11y.brlapi.Program
org.a11y.brlapi.commands.ApiToolCommand

All Implemented Interfaces:
  `Runnable`

public class ApiToolCommand extends Program

## Nested Class Summary

### Nested classes/interfaces inherited from class Program

`Program.Option`

## Field Summary

### Fields inherited from class Program

`USAGE_OPTIONAL_BEGIN, USAGE_OPTIONAL_END, USAGE_REPEATING_INDICATOR`

### Fields inherited from class ProgramComponent

`EXIT_CODE_EXTERNAL, EXIT_CODE_INTERNAL, EXIT_CODE_SEMANTIC, EXIT_CODE_SUCCESS, EXIT_CODE_SYNTAX`

### Fields inherited from class Component

`BYTE_MASK, UNICODE_BRAILLE_ROW`

## Constructor Summary

Constructors
Constructor
Description
`ApiToolCommand(String... arguments)`

## Method Summary

Modifier and Type
Method
Description
`protected final void`
`extendUsageSummary(StringBuilder usage)`
`String`
`getPurpose()`
`static void`
`main(String... arguments)`
`protected final void`
`processParameters(String[] parameters)`
`protected final void`
`runProgram()`

### Methods inherited from class Program

`addOption, addOptionalParameters, addRepeatingParameter, addRequiredParameters, getProgramName, getUsageSummary, isClient, onProgramException, run, setProgramName, writeProgramMessage`

### Methods inherited from class ProgramComponent

`isClient, isClient`

### Methods inherited from class Component

`getObjectName, getObjectName, printf, toOperandName, toUnicodeBraille, toUnicodeBraille`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ApiToolCommand

public ApiToolCommand(String... arguments)

## Method Details

### getPurpose

public String getPurpose()

Overrides:
  `getPurpose` in class `Program`

### extendUsageSummary

protected final void extendUsageSummary(StringBuilder usage)

Overrides:
  `extendUsageSummary` in class `Program`

### processParameters

protected final void processParameters(String[] parameters) throws SyntaxException

Overrides:
  `processParameters` in class `Program`
Throws:
  `SyntaxException`

### runProgram

protected final void runProgram() throws ProgramException

Specified by:
  `runProgram` in class `Program`
Throws:
  `ProgramException`

### main

public static void main(String... arguments)